Page MenuHomePhabricator

WDQS embeds do not display
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 10 2018, 8:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Daniel_Mietchen triaged this task as High priority.Dec 10 2018, 8:46 PM

This could be related to the UI update, as per https://twitter.com/wikimediatech/status/1072190613636952069 .

Here's how this looks like in Scholia (it's a whole-page screenshot which is apparently outsized for Phabricator, so you have to click on the image to actually see it rather than the mystery placeholder image).

Smalyshev raised the priority of this task from High to Unbreak Now!.Dec 10 2018, 9:15 PM
Smalyshev added a subscriber: Smalyshev.

I see JS error: this._querySamplesApi.getLanguage in not a function. There were some changes related to this recently, so possible there's a breakage.

@Lucas_Werkmeister_WMDE could you take a look?

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptDec 10 2018, 9:15 PM

"Non-tabular WDQS embeds do not display": Note embedded tables neither works. Embedded tables show the same errror

Daniel_Mietchen renamed this task from Non-tabular WDQS embeds do not display to WDQS embeds do not display.Dec 11 2018, 1:12 AM

"Non-tabular WDQS embeds do not display": Note embedded tables neither works. Embedded tables show the same errror

Yep - hadn't checked that before, and renamed the ticket accordingly. The reason some Scholia tables display as usual is that they are built by processing the WDQS results, rather than embedding them directly.

Change 478900 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[wikidata/query/gui@master] Fix instantiation of ResultView in embed.html

https://gerrit.wikimedia.org/r/478900

Change 478900 merged by jenkins-bot:
[wikidata/query/gui@master] Fix instantiation of ResultView in embed.html

https://gerrit.wikimedia.org/r/478900

Change 478921 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[wikidata/query/deploy@master] Updated GUI

https://gerrit.wikimedia.org/r/478921

Change 478921 merged by Hoo man:
[wikidata/query/deploy@master] Updated GUI

https://gerrit.wikimedia.org/r/478921

Mentioned in SAL (#wikimedia-operations) [2018-12-11T12:39:53Z] <hoo@deploy1001> Started deploy [wdqs/wdqs@f914415]: Fix WDQS UI embeds (T211629)

Mentioned in SAL (#wikimedia-operations) [2018-12-11T12:50:24Z] <hoo@deploy1001> Finished deploy [wdqs/wdqs@f914415]: Fix WDQS UI embeds (T211629) (duration: 10m 31s)

Yes thanks now this page works